---
lang: en
title: 'API docs: rest.sessionuserprofile'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.sessionuserprofile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [SessionUserProfile](./rest.sessionuserprofile.md)

## SessionUserProfile interface

user profile to add in session

<b>Signature:</b>

```typescript
export interface SessionUserProfile 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [email](./rest.sessionuserprofile.email.md) | string |  |
|  [provider](./rest.sessionuserprofile.provider.md) | string |  |
|  [token](./rest.sessionuserprofile.token.md) | string |  |


